summaryrefslogtreecommitdiffstats
path: root/bin/schroot-create.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-04 16:29:14 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-04 16:29:14 +0200
commit6f68bcc33594b780f2b0c5e4b9dfe3c5d665ca83 (patch)
tree27fbe2a7075eb21beb1ac6a987bd987a4284e36a /bin/schroot-create.sh
parent4a002fdcd40b1a27749f6be445d888c3302de89f (diff)
downloadjenkins.debian.net-6f68bcc33594b780f2b0c5e4b9dfe3c5d665ca83.tar.xz
reproducible: fail gracefully (=dont fail) if debbindiff cannot be installed from unstable in testing
Diffstat (limited to 'bin/schroot-create.sh')
-rwxr-xr-xbin/schroot-create.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index bd04fbdf..25e7fa48 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -137,10 +137,9 @@ bootstrap() {
echo "deb $MIRROR unstable main" | sudo tee -a $CHROOT_TARGET/etc/apt/sources.list > /dev/null
sudo chroot $CHROOT_TARGET apt-get update
# install debbindiff from unstable without re-adding all recommends...
- sudo chroot $CHROOT_TARGET apt-get install -y -t unstable --no-install-recommends debbindiff
+ sudo chroot $CHROOT_TARGET apt-get install -y -t unstable --no-install-recommends debbindiff || echo "Warning: debbindiff from unstable is uninstallable at the moment."
fi
if ! $DEBUG ; then set +x ; fi
- # double check debbindiff version
if [ "$1" = "debbindiff" ] ; then
echo
sudo chroot $CHROOT_TARGET dpkg -l debbindiff